% This function returns the gradient of image after removing gradient
% values of the boundary of target patch
function [I,Ix,Iy] = my_gradient(in_I,fillRegion)
[m n p]=size(in_I);
Ix=zeros(m,n,p);
Iy=zeros(m,n,p);

for i=2:m-1
    for j=2:n-1
        if fillRegion(i,j)==0
           if fillRegion(i,j+1)==1
              Ix(i,j,:)=abs(in_I(i,j-1,:)-in_I(i,j,:));
           else
              Ix(i,j,:)=abs(in_I(i,j+1,:)-in_I(i,j,:));
           end
        else Ix(i,j,:)=0;    
        end
    end
end

for j=2:n-1
    for i=2:m-1
        if fillRegion(i,j)==0
            if fillRegion(i+1,j)==1
              Iy(i,j,:)=abs(in_I(i-1,j,:)-in_I(i,j,:));
           else
              Iy(i,j,:)=abs(in_I(i+1,j,:)-in_I(i,j,:));
            end
        else Iy(i,j,:)=0;
        end
    end
end
Ix=sum(Ix,3)/(3);
Iy=sum(Iy,3)/(3);

% for i=1:m
%     for j=1:n
%         if Ix(i,j)~=0
%             Ix(i,j)=0.5;
%         end
%         if Iy(i,j)~=0
%             Iy(i,j)=0.5;
%         end
%     end
% end
I=Ix+Iy;

% if count==20
     %  figure;imshow(Ix);
      % figure;imshow(Iy);
      % stop
% end
% stop
        