%% This function takes a uint8 image as input and returns a uint8 3D mask of marked region
function [binaryImage3D, InIm1] = MarkRegion(InIm)

binaryImage3D = zeros (size(InIm)); binaryImage3D = uint8(binaryImage3D);

    figure;imshow(InIm); hold on
    h = imfreehand();
    %h = imrect();
    
    binaryImage = h.createMask();
    sz = size(h)
    binaryImage3D(:,:,1) = uint8(binaryImage(:,:)) + binaryImage3D(:,:,1);
    binaryImage3D(:,:,2) = uint8(binaryImage(:,:)) + binaryImage3D(:,:,2);
    binaryImage3D(:,:,3) = uint8(binaryImage(:,:)) + binaryImage3D(:,:,3);
    
    InIm1 = InIm .* binaryImage3D; A = InIm1 .*255;
    InIm = InIm + A;
    