%% This function does 2 label assignment according to simulated annealing
function [img_gen,quality_mat,cost_mat,good_cost_mat,quality_count,best_img,quality_count_b,quality_mat_b]=sa_sub(n,tp,I_S,step,w,fillRegion,img1,img2,img_gen,C,lambda,lambda2,tp_l,quality_mat,cost_mat,good_cost_mat,quality_count,quality_count_b,quality_mat_b,best_img,label_no)
count=0;
fig_no=0;
ToC=zeros(100,8);
TNC=zeros(100,8);
TEC=zeros(100,8);
TTVC=zeros(100,8);

for t=0.00080:0.001:0.0080
    count=count+1;
    NC=zeros(1,2);
    EC=zeros(1,2);
    TV=zeros(1,2);
    T=C/(log(1+t));
    
%% Assign label 2 and calculate costs of both label assignments
change=1;
iter=0;
best_img=img_gen;

 while change > 0 && iter < count
    change=0;
    iter=iter+1
    count
    for target_patch=1:n
        patch_index=tp(target_patch);
        i=rem(patch_index,I_S);
        if i==0
            i=I_S;
            j=patch_index/I_S;
        else
            j=floor(patch_index/I_S)+1;
        end

        %% Get neighbors and cost
        n_cost=zeros(1,2);
        n_cost=double(n_cost);
        if  i-step-w > 0
            ii_s=i-step-w;
            if fillRegion(i-step-w:i-step+w,j-w:j+w,:)==0
            else 
                for pop=1:2
                    img_inp=eval(['img' num2str(pop)]);
                    n_cost(pop) = sum(sum(sum(abs(img_gen(i-step:i,j-w:j+w,:)-img_inp(i-step:i,j-w:j+w,:)))));
                end
            end
        else
            ii_s=i-w;
        end
    
        if  i+step+w <= I_S
            ii_e=i+step+w;
            if fillRegion(i+step-w:i+step+w,j-w:j+w,:)==0
            else %if neighbor patch is a target patch
                for pop=1:2
                    img_inp=eval(['img' num2str(pop)]);
                    n_cost(pop) = n_cost(pop) + sum(sum(sum(abs(img_gen(i:i+step,j-w:j+w,:)-img_inp(i:i+step,j-w:j+w,:)))));
                end
            end
        else
            ii_e=i+w;
        end
    
        if  j-step-w > 0
            jj_s=j-step-w;
            if fillRegion(i-w:i+w,j-step-w:j-step+w,:)==0
            else %if neighbor patch is a target patch
                for pop=1:2
                    img_inp=eval(['img' num2str(pop)]);
                    n_cost(pop) = n_cost(pop) + sum(sum(sum(abs(img_gen(i-w:i+w,j-step:j,:)-img_inp(i-w:i+w,j-step:j,:)))));
                end
            end
        else
            jj_s=j-w;
        end
    
        if  j+step+w <= I_S
            jj_e=j+step+w;
            if fillRegion(i-w:i+w,j+step-w:j+step+w,:)==0
            else %if neighbor patch is a target patch
                for pop=1:2
                    img_inp=eval(['img' num2str(pop)]);
                    n_cost(pop) = n_cost(pop) + sum(sum(sum(abs(img_gen(i-w:i+w,j:j+step,:)-img_inp(i-w:i+w,j:j+step,:)))));
                end
            end
        else
            jj_e=j+w;
        end
        NC=NC+n_cost;
        %% Calculate the TV cost for a larger patch containing all the neighbor patches
        TV_cost_y=zeros(1,2);
        TV_cost_x=zeros(1,2);
        Edge_cost=zeros(1,2);
        big_patch=zeros((2*w+1)*2);

                for pop=1:2
                    img_TV=img_gen;
                    img_inp2=eval(['img' num2str(pop)]);
                    %img_TV(i-w,j-w,:)=img_inp2(i-w,j-w,:);  %% Check this
                    img_TV(i-w:i+w,j-w:j+w,:)=img_inp2(i-w:i+w,j-w:j+w,:);  %% Check this
                    
                    %% Calculate Edge Cost for the bigger patch
                    big_patch=img_TV(ii_s:ii_e,jj_s:jj_e,:);
                    big_patch_g=rgb2gray(uint8(big_patch));
                    big_patch_g=double(big_patch_g);
                    big_patch_e=edge(big_patch_g,'sobel',21);
                    Edge_cost(pop)=sum(sum(big_patch_e));
        
                    TV_y=sum(sum(sum(abs(img_TV(ii_s:ii_e-1,jj_s:jj_e-1,:)-img_TV(ii_s+1:ii_e-1+1,jj_s:jj_e-1,:)))));
                    %if TV_y < eta
                        TV_cost_y(pop)=TV_cost_y(pop)+TV_y;
                    %end
                    TV_x=sum(sum(sum(abs(img_TV(ii_s:ii_e-1,jj_s:jj_e-1,:)-img_TV(ii_s:ii_e-1,jj_s+1:jj_e-1+1,:)))));
                    %if TV_x < eta
                        TV_cost_x(pop)=TV_cost_x(pop)+TV_x;
                    %end
                end

        TV_cost = TV_cost_y + TV_cost_x;
        TV=TV+TV_cost;
        EC=EC+Edge_cost;

         
        %% Check for increase or decrease in energy on applying label 1 or label 2
         T_cost = (n_cost+lambda*TV_cost-lambda2*Edge_cost);
        if tp_l(target_patch)==1
            del_u = (T_cost(1)-T_cost(2));
            if del_u > 0
                img_gen(i-w:i+w,j-w:j+w,:) = img2(i-w:i+w,j-w:j+w,:);
                sel_lab(target_patch,iter)=2;
                tp_l(target_patch)=2;
                change=change+1;
                ToC(iter,count)=ToC(iter,count)+T_cost(2);
                TEC(iter,count)=TEC(iter,count)+Edge_cost(2);
                TNC(iter,count)=TNC(iter,count)+n_cost(2);
                TTVC(iter,count)=TTVC(iter,count)+TV_cost(2);
            elseif del_u < 0
                prob = exp(del_u/T);
                random_no=rand;
                if random_no <= prob
                   img_gen(i-w:i+w,j-w:j+w,:) = img2(i-w:i+w,j-w:j+w,:);
                   sel_lab(target_patch,iter)=2;
                   tp_l(target_patch)=2;
                   change=change+1;
                   ToC(iter,count)=ToC(iter,count)+T_cost(2);
                   TEC(iter,count)=TEC(iter,count)+Edge_cost(2);
                   TNC(iter,count)=TNC(iter,count)+n_cost(2);
                   TTVC(iter,count)=TTVC(iter,count)+TV_cost(2);
                end
            else
                sel_lab(target_patch,iter)=0;
            end
        elseif tp_l(target_patch)==2
            del_u = (T_cost(2)-T_cost(1));
        
            if del_u > 0
                img_gen(i-w:i+w,j-w:j+w,:) = img1(i-w:i+w,j-w:j+w,:);
                sel_lab(target_patch,iter)=1;
                tp_l(target_patch)=1;
                change=change+1;
                ToC(iter,count)=ToC(iter,count)+T_cost(1);
                TEC(iter,count)=TEC(iter,count)+Edge_cost(1);
                TNC(iter,count)=TNC(iter,count)+n_cost(1);
                TTVC(iter,count)=TTVC(iter,count)+TV_cost(1);
            elseif del_u < 0 
                prob = exp(del_u/T);
                random_no=rand;
                if random_no <= prob
                   img_gen(i-w:i+w,j-w:j+w,:) = img1(i-w:i+w,j-w:j+w,:);
                   sel_lab(target_patch,iter)=1;
                   tp_l(target_patch)=1;
                   change=change+1;
                   ToC(iter,count)=ToC(iter,count)+T_cost(1);
                   TEC(iter,count)=TEC(iter,count)+Edge_cost(1);
                   TNC(iter,count)=TNC(iter,count)+n_cost(1);
                   TTVC(iter,count)=TTVC(iter,count)+TV_cost(1);
                end
            else
                sel_lab(target_patch,iter)=0;
            end
        end
    end
    
    change_percent=change/n*100;
    fig_no=fig_no+1;
    
    qualityscore  = brisquescore(img_gen);
    quality_count=quality_count+1;
    quality_mat(quality_count)=qualityscore;
    cost_mat(quality_count)=ToC(iter,count);
    
    if quality_count > 1 
       if quality_mat(quality_count) > quality_mat_b(quality_count_b)
          img_gen = best_img;
          break;
       else
           quality_count_b=quality_count_b+1;
           quality_mat_b(quality_count_b)=quality_mat(quality_count);
       end
    else quality_mat_b(quality_count_b)=quality_mat(quality_count);
    end

    if iter > 2 && sum(sel_lab(:,iter)-sel_lab(:,iter-2))==0
       change=0;
    end
 end
end